public inbox for glibc-cvs@sourceware.org
help / color / mirror / Atom feed
* [glibc] elf: Take into account ${sysconfdir} in elf/tst-ldconfig-p.sh
@ 2023-03-27 20:17 Adhemerval Zanella
  0 siblings, 0 replies; only message in thread
From: Adhemerval Zanella @ 2023-03-27 20:17 UTC (permalink / raw)
  To: glibc-cvs

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=bb557fff2ec20e0926932684f69835f90626bb06

commit bb557fff2ec20e0926932684f69835f90626bb06
Author: Romain Geissler <romain.geissler@gmail.com>
Date:   Sun Mar 26 19:25:58 2023 +0000

    elf: Take into account ${sysconfdir} in elf/tst-ldconfig-p.sh
    
    Take into account ${sysconfdir} in elf/tst-ldconfig-p.sh.
    
    Reviewed-by: Adhemerval Zanella  <adhemerval.zanella@linaro.org>

Diff:
---
 elf/Makefile          |  2 +-
 elf/tst-ldconfig-p.sh | 11 ++++++-----
 2 files changed, 7 insertions(+), 6 deletions(-)

diff --git a/elf/Makefile b/elf/Makefile
index a32618a01f..8cf46ba782 100644
--- a/elf/Makefile
+++ b/elf/Makefile
@@ -2405,7 +2405,7 @@ $(objpfx)tst-ldconfig-X.out : tst-ldconfig-X.sh $(objpfx)ldconfig
 	$(evaluate-test)
 
 $(objpfx)tst-ldconfig-p.out : tst-ldconfig-p.sh $(objpfx)ldconfig
-	$(SHELL) $< '$(common-objpfx)' '$(test-wrapper-env)' \
+	$(SHELL) $< '$(common-objpfx)' '$(sysconfdir)' '$(test-wrapper-env)' \
 		 '$(run-program-env)' > $@; \
 	$(evaluate-test)
 
diff --git a/elf/tst-ldconfig-p.sh b/elf/tst-ldconfig-p.sh
index ec937bf4ec..e966c4d124 100644
--- a/elf/tst-ldconfig-p.sh
+++ b/elf/tst-ldconfig-p.sh
@@ -23,11 +23,12 @@
 # involves emulation when running ldconfig).
 
 common_objpfx=$1
-test_wrapper_env=$2
-run_program_env=$3
+sysconfdir=$2
+test_wrapper_env=$3
+run_program_env=$4
 
-if ! test -r /etc/ld.so.cache; then
-    echo "warning: /etc/ld.so.cache does not exist, test skipped"
+if ! test -r "${sysconfdir}/ld.so.cache"; then
+    echo "warning: ${sysconfdir}/ld.so.cache does not exist, test skipped"
     exit 77
 fi
 
@@ -46,7 +47,7 @@ errors=0
 case $status in
     (0)
 	if head -n 1 "$testout" | \
-		grep -q "libs found in cache \`/etc/ld.so.cache'\$" ; then
+		grep -q "libs found in cache \`${sysconfdir}/ld.so.cache'\$" ; then
 	    echo "info: initial string found" >>"$testout"
 	else
 	    echo "error: initial string not found" >>"$testout"

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2023-03-27 20:17 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2023-03-27 20:17 [glibc] elf: Take into account ${sysconfdir} in elf/tst-ldconfig-p.sh Adhemerval Zanella

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).